Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 468)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 469)
@@ -5164,705 +1672,13 @@
 		};
 	};
-	E179D5EE0D800B7800B34B28 /* PBXTextBookmark */ = {
+	E17E1F240DB7EE0800185E8D /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
-		name = "ICeCoffEEWebKit.m: 61";
+		name = "ICeCoffEEWebKit.m: 119";
 		rLen = 0;
-		rLoc = 1742;
-		rType = 0;
-		vrLen = 2333;
-		vrLoc = 986;
-	};
-	E179D5EF0D800B7800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4270D7FDD0700B34B28 /* WebView.h */;
-		name = "WebView.h: 564";
-		rLen = 16;
-		rLoc = 19930;
-		rType = 0;
-		vrLen = 3040;
-		vrLoc = 18192;
-	};
-	E179D5F00D800B7800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4270D7FDD0700B34B28 /* WebView.h */;
-		name = "WebView.h: 226";
-		rLen = 17;
-		rLoc = 8174;
-		rType = 0;
-		vrLen = 2607;
-		vrLoc = 6568;
-	};
-	E179D5F30D800B7800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D5DF0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.m */;
-		name = "ICeCoffEEWebPolicyDelegate.m: 14";
-		rLen = 0;
-		rLoc = 555;
-		rType = 0;
-		vrLen = 783;
-		vrLoc = 0;
-	};
-	E179D5F40D800B7800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D5DE0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.h */;
-		name = "ICeCoffEEWebPolicyDelegate.h: 17";
-		rLen = 0;
-		rLoc = 289;
-		rType = 0;
-		vrLen = 240;
-		vrLoc = 0;
-	};
-	E179D5F50D800B7800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D5DE0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.h */;
-		name = "ICeCoffEEWebPolicyDelegate.h: 17";
-		rLen = 0;
-		rLoc = 289;
-		rType = 0;
-		vrLen = 240;
-		vrLoc = 0;
-	};
-	E179D5F60D800B7800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D5DF0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.m */;
-		name = "ICeCoffEEWebPolicyDelegate.m: 14";
-		rLen = 0;
-		rLoc = 555;
-		rType = 0;
-		vrLen = 783;
-		vrLoc = 0;
-	};
-	E179D5F70D800B7800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D5DE0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.h */;
-		name = "ICeCoffEEWebPolicyDelegate.h: 17";
-		rLen = 0;
-		rLoc = 283;
-		rType = 0;
-		vrLen = 289;
-		vrLoc = 0;
-	};
-	E179D5F80D800B7800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
-		name = "ICeCoffEE.m: 228";
-		rLen = 73;
-		rLoc = 8929;
-		rType = 0;
-		vrLen = 2595;
-		vrLoc = 7953;
-	};
-	E179D5F90D800B7800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4820D7FEA8900B34B28 /* DOMCore.h */;
-		name = "DOMCore.h: 158";
-		rLen = 0;
-		rLoc = 5480;
-		rType = 0;
-		vrLen = 3314;
-		vrLoc = 2871;
-	};
-	E179D5FA0D800B7800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = F56276C20379923401AA4DA5 /* English */;
-		name = "English: 3";
-		rLen = 0;
-		rLoc = 48;
-		rType = 0;
-		vrLen = 2098;
-		vrLoc = 5653;
-	};
-	E179D5FB0D800B7800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
-		name = "ICeCoffEEConfig.h: 17";
-		rLen = 16;
-		rLoc = 323;
-		rType = 0;
-		vrLen = 993;
-		vrLoc = 0;
-	};
-	E179D6020D800BFB00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		comments = "error: 'isEditable' undeclared (first use in this function)";
-		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
-		rLen = 1;
-		rLoc = 61;
-		rType = 1;
-	};
-	E179D6040D800C0D00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
-		name = "ICeCoffEEWebKit.m: 73";
-		rLen = 0;
-		rLoc = 1982;
-		rType = 0;
-		vrLen = 2226;
-		vrLoc = 823;
-	};
-	E179D6050D800C0D00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4270D7FDD0700B34B28 /* WebView.h */;
-		name = "WebView.h: 226";
-		rLen = 17;
-		rLoc = 8174;
-		rType = 0;
-		vrLen = 2607;
-		vrLoc = 6568;
-	};
-	E179D6060D800C0D00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D5DE0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.h */;
-		name = "ICeCoffEEWebPolicyDelegate.h: 17";
-		rLen = 0;
-		rLoc = 283;
-		rType = 0;
-		vrLen = 289;
-		vrLoc = 0;
-	};
-	E179D6070D800C0D00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
-		name = "ICeCoffEE.m: 228";
-		rLen = 73;
-		rLoc = 8929;
-		rType = 0;
-		vrLen = 2595;
-		vrLoc = 7953;
-	};
-	E179D6080D800C0D00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4820D7FEA8900B34B28 /* DOMCore.h */;
-		name = "DOMCore.h: 158";
-		rLen = 0;
-		rLoc = 5480;
-		rType = 0;
-		vrLen = 3314;
-		vrLoc = 2871;
-	};
-	E179D6090D800C0D00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = F56276C20379923401AA4DA5 /* English */;
-		name = "English: 3";
-		rLen = 0;
-		rLoc = 48;
-		rType = 0;
-		vrLen = 2098;
-		vrLoc = 5653;
-	};
-	E179D60A0D800C0D00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
-		name = "ICeCoffEEConfig.h: 17";
-		rLen = 16;
-		rLoc = 323;
-		rType = 0;
-		vrLen = 993;
-		vrLoc = 0;
-	};
-	E179D60E0D800C5D00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
-		name = "ICeCoffEEWebKit.m: 103";
-		rLen = 0;
-		rLoc = 2894;
-		rType = 0;
-		vrLen = 2666;
-		vrLoc = 1952;
-	};
-	E179D60F0D800C5D00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4270D7FDD0700B34B28 /* WebView.h */;
-		name = "WebView.h: 226";
-		rLen = 17;
-		rLoc = 8174;
-		rType = 0;
-		vrLen = 2607;
-		vrLoc = 6568;
-	};
-	E179D6100D800C5D00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D5DE0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.h */;
-		name = "ICeCoffEEWebPolicyDelegate.h: 17";
-		rLen = 0;
-		rLoc = 283;
-		rType = 0;
-		vrLen = 289;
-		vrLoc = 0;
-	};
-	E179D6110D800C5D00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
-		name = "ICeCoffEE.m: 228";
-		rLen = 73;
-		rLoc = 8929;
-		rType = 0;
-		vrLen = 2595;
-		vrLoc = 7953;
-	};
-	E179D6120D800C5D00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4820D7FEA8900B34B28 /* DOMCore.h */;
-		name = "DOMCore.h: 158";
-		rLen = 0;
-		rLoc = 5480;
-		rType = 0;
-		vrLen = 3314;
-		vrLoc = 2871;
-	};
-	E179D6130D800C5D00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = F56276C20379923401AA4DA5 /* English */;
-		name = "English: 3";
-		rLen = 0;
-		rLoc = 48;
-		rType = 0;
-		vrLen = 2098;
-		vrLoc = 5653;
-	};
-	E179D6140D800C5D00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
-		name = "ICeCoffEEConfig.h: 17";
-		rLen = 16;
-		rLoc = 323;
-		rType = 0;
-		vrLen = 993;
-		vrLoc = 0;
-	};
-	E179D6170D800CE600B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
-		name = "ICeCoffEEWebKit.m: 122";
-		rLen = 0;
-		rLoc = 3503;
-		rType = 0;
-		vrLen = 2666;
-		vrLoc = 1952;
-	};
-	E179D6180D800CE600B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4270D7FDD0700B34B28 /* WebView.h */;
-		name = "WebView.h: 226";
-		rLen = 17;
-		rLoc = 8174;
-		rType = 0;
-		vrLen = 2607;
-		vrLoc = 6568;
-	};
-	E179D6190D800CE600B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D5DE0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.h */;
-		name = "ICeCoffEEWebPolicyDelegate.h: 17";
-		rLen = 0;
-		rLoc = 283;
-		rType = 0;
-		vrLen = 289;
-		vrLoc = 0;
-	};
-	E179D61A0D800CE600B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
-		name = "ICeCoffEE.m: 228";
-		rLen = 73;
-		rLoc = 8929;
-		rType = 0;
-		vrLen = 2595;
-		vrLoc = 7953;
-	};
-	E179D61B0D800CE600B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4820D7FEA8900B34B28 /* DOMCore.h */;
-		name = "DOMCore.h: 158";
-		rLen = 0;
-		rLoc = 5480;
-		rType = 0;
-		vrLen = 3314;
-		vrLoc = 2871;
-	};
-	E179D61C0D800CE600B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = F56276C20379923401AA4DA5 /* English */;
-		name = "English: 3";
-		rLen = 0;
-		rLoc = 48;
-		rType = 0;
-		vrLen = 2098;
-		vrLoc = 5653;
-	};
-	E179D61D0D800CE600B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
-		name = "ICeCoffEEConfig.h: 17";
-		rLen = 16;
-		rLoc = 323;
-		rType = 0;
-		vrLen = 993;
-		vrLoc = 0;
-	};
-	E179D61E0D800D0A00B34B28 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
-	};
-	E179D6200D800D1A00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
-		name = "ICeCoffEEConfig.h: 17";
-		rLen = 3;
-		rLoc = 328;
-		rType = 0;
-		vrLen = 485;
-		vrLoc = 0;
-	};
-	E179D6230D800D1B00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
-		name = "ICeCoffEEServices.m: 124";
-		rLen = 0;
-		rLoc = 4830;
-		rType = 0;
-		vrLen = 2848;
-		vrLoc = 3393;
-	};
-	E179D6240D800D1B00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
-		name = "ICeCoffEEWebKit.m: 122";
-		rLen = 0;
-		rLoc = 3503;
-		rType = 0;
-		vrLen = 2666;
-		vrLoc = 1952;
-	};
-	E179D6250D800D1B00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4270D7FDD0700B34B28 /* WebView.h */;
-		name = "WebView.h: 226";
-		rLen = 17;
-		rLoc = 8174;
-		rType = 0;
-		vrLen = 2607;
-		vrLoc = 6568;
-	};
-	E179D6260D800D1B00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D5DE0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.h */;
-		name = "ICeCoffEEWebPolicyDelegate.h: 17";
-		rLen = 0;
-		rLoc = 283;
-		rType = 0;
-		vrLen = 289;
-		vrLoc = 0;
-	};
-	E179D6270D800D1B00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
-		name = "ICeCoffEE.m: 228";
-		rLen = 73;
-		rLoc = 8929;
-		rType = 0;
-		vrLen = 2595;
-		vrLoc = 7953;
-	};
-	E179D6280D800D1B00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4820D7FEA8900B34B28 /* DOMCore.h */;
-		name = "DOMCore.h: 158";
-		rLen = 0;
-		rLoc = 5480;
-		rType = 0;
-		vrLen = 3314;
-		vrLoc = 2871;
-	};
-	E179D6290D800D1B00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = F56276C20379923401AA4DA5 /* English */;
-		name = "English: 3";
-		rLen = 0;
-		rLoc = 48;
-		rType = 0;
-		vrLen = 2098;
-		vrLoc = 5653;
-	};
-	E179D62A0D800D1B00B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
-		name = "ICeCoffEEConfig.h: 17";
-		rLen = 16;
-		rLoc = 323;
-		rType = 0;
-		vrLen = 993;
-		vrLoc = 0;
-	};
-	E179D62B0D800D9800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4270D7FDD0700B34B28 /* WebView.h */;
-		name = "WebView.h: 226";
-		rLen = 17;
-		rLoc = 8174;
-		rType = 0;
-		vrLen = 2607;
-		vrLoc = 6568;
-	};
-	E179D62C0D800D9800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D5DE0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.h */;
-		name = "ICeCoffEEWebPolicyDelegate.h: 17";
-		rLen = 0;
-		rLoc = 283;
-		rType = 0;
-		vrLen = 289;
-		vrLoc = 0;
-	};
-	E179D62D0D800D9800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
-		name = "ICeCoffEE.m: 228";
-		rLen = 73;
-		rLoc = 8929;
-		rType = 0;
-		vrLen = 2595;
-		vrLoc = 7953;
-	};
-	E179D62E0D800D9800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4820D7FEA8900B34B28 /* DOMCore.h */;
-		name = "DOMCore.h: 158";
-		rLen = 0;
-		rLoc = 5480;
-		rType = 0;
-		vrLen = 3314;
-		vrLoc = 2871;
-	};
-	E179D62F0D800D9800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = F56276C20379923401AA4DA5 /* English */;
-		name = "English: 3";
-		rLen = 0;
-		rLoc = 48;
-		rType = 0;
-		vrLen = 2098;
-		vrLoc = 5653;
-	};
-	E179D6300D800D9800B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
-		name = "ICeCoffEEConfig.h: 17";
-		rLen = 16;
-		rLoc = 323;
-		rType = 0;
-		vrLen = 993;
-		vrLoc = 0;
-	};
-	E179D6320D800E3400B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = F56276C20379923401AA4DA5 /* English */;
-		name = "English: 3";
-		rLen = 0;
-		rLoc = 48;
-		rType = 0;
-		vrLen = 2098;
-		vrLoc = 5653;
-	};
-	E179D6330D800E3400B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = F56276C20379923401AA4DA5 /* English */;
-		name = "English: 128";
-		rLen = 0;
-		rLoc = 7977;
-		rType = 0;
-		vrLen = 2276;
-		vrLoc = 6782;
-	};
-	E179D6340D800E3400B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4270D7FDD0700B34B28 /* WebView.h */;
-		name = "WebView.h: 226";
-		rLen = 17;
-		rLoc = 8174;
-		rType = 0;
-		vrLen = 2607;
-		vrLoc = 6568;
-	};
-	E179D6350D800E3400B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D5DE0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.h */;
-		name = "ICeCoffEEWebPolicyDelegate.h: 17";
-		rLen = 0;
-		rLoc = 283;
-		rType = 0;
-		vrLen = 289;
-		vrLoc = 0;
-	};
-	E179D6360D800E3400B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
-		name = "ICeCoffEE.m: 228";
-		rLen = 73;
-		rLoc = 8929;
-		rType = 0;
-		vrLen = 2595;
-		vrLoc = 7953;
-	};
-	E179D6370D800E3400B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4820D7FEA8900B34B28 /* DOMCore.h */;
-		name = "DOMCore.h: 158";
-		rLen = 0;
-		rLoc = 5480;
-		rType = 0;
-		vrLen = 3314;
-		vrLoc = 2871;
-	};
-	E179D6380D800E3400B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
-		name = "ICeCoffEEConfig.h: 17";
-		rLen = 16;
-		rLoc = 323;
-		rType = 0;
-		vrLen = 993;
-		vrLoc = 0;
-	};
-	E179D6390D800E8000B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4270D7FDD0700B34B28 /* WebView.h */;
-		name = "WebView.h: 226";
-		rLen = 17;
-		rLoc = 8174;
-		rType = 0;
-		vrLen = 2607;
-		vrLoc = 6568;
-	};
-	E179D63A0D800E8000B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D5DE0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.h */;
-		name = "ICeCoffEEWebPolicyDelegate.h: 17";
-		rLen = 0;
-		rLoc = 283;
-		rType = 0;
-		vrLen = 289;
-		vrLoc = 0;
-	};
-	E179D63B0D800E8000B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
-		name = "ICeCoffEE.m: 228";
-		rLen = 73;
-		rLoc = 8929;
-		rType = 0;
-		vrLen = 2595;
-		vrLoc = 7953;
-	};
-	E179D63C0D800E8000B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4820D7FEA8900B34B28 /* DOMCore.h */;
-		name = "DOMCore.h: 158";
-		rLen = 0;
-		rLoc = 5480;
-		rType = 0;
-		vrLen = 3314;
-		vrLoc = 2871;
-	};
-	E179D63D0D800E8000B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
-		name = "ICeCoffEEConfig.h: 17";
-		rLen = 16;
-		rLoc = 323;
-		rType = 0;
-		vrLen = 993;
-		vrLoc = 0;
-	};
-	E179D63E0D800F1200B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D5DE0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.h */;
-		name = "ICeCoffEEWebPolicyDelegate.h: 17";
-		rLen = 0;
-		rLoc = 283;
-		rType = 0;
-		vrLen = 289;
-		vrLoc = 0;
-	};
-	E179D63F0D800F1200B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
-		name = "ICeCoffEE.m: 228";
-		rLen = 73;
-		rLoc = 8929;
-		rType = 0;
-		vrLen = 2595;
-		vrLoc = 7953;
-	};
-	E179D6400D800F1200B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4820D7FEA8900B34B28 /* DOMCore.h */;
-		name = "DOMCore.h: 158";
-		rLen = 0;
-		rLoc = 5480;
-		rType = 0;
-		vrLen = 3314;
-		vrLoc = 2871;
-	};
-	E179D6410D800F1200B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
-		name = "ICeCoffEEConfig.h: 17";
-		rLen = 16;
-		rLoc = 323;
-		rType = 0;
-		vrLen = 993;
-		vrLoc = 0;
-	};
-	E179D6430D800FA300B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
-		name = "ICeCoffEEConfig.h: 17";
-		rLen = 3;
-		rLoc = 328;
-		rType = 0;
-		vrLen = 485;
-		vrLoc = 0;
-	};
-	E179D6440D800FA400B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D5DE0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.h */;
-		name = "ICeCoffEEWebPolicyDelegate.h: 17";
-		rLen = 0;
-		rLoc = 283;
-		rType = 0;
-		vrLen = 289;
-		vrLoc = 0;
-	};
-	E179D6450D800FA400B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
-		name = "ICeCoffEE.m: 228";
-		rLen = 73;
-		rLoc = 8929;
-		rType = 0;
-		vrLen = 2595;
-		vrLoc = 7953;
-	};
-	E179D6460D800FA400B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E179D4820D7FEA8900B34B28 /* DOMCore.h */;
-		name = "DOMCore.h: 158";
-		rLen = 0;
-		rLoc = 5480;
-		rType = 0;
-		vrLen = 3314;
-		vrLoc = 2871;
-	};
-	E179D6470D800FA400B34B28 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
-		name = "ICeCoffEEConfig.h: 17";
-		rLen = 16;
-		rLoc = 323;
-		rType = 0;
-		vrLen = 993;
-		vrLoc = 0;
+		rLoc = 3655;
+		rType = 0;
+		vrLen = 2882;
+		vrLoc = 897;
 	};
 	E182C8ED03DE6ED300050002 /* PBXBookmarkGroup */ = {
@@ -5892,9 +1708,40 @@
 	E182C8F603DE817F00050002 /* ICeCoffEEShared.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {666, 623}}";
+			sepNavIntBoundsRect = "{{0, 0}, {666, 600}}";
 			sepNavSelRange = "{729, 0}";
 			sepNavVisRange = "{0, 2212}";
 			sepNavVisRect = "{{0, 0}, {686, 621}}";
 			sepNavWindowFrame = "{{882, 66}, {725, 659}}";
+		};
+	};
+	E18931040D9DA16B005C7AA4 /* ICeCoffEEPDFView.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {797, 879}}";
+			sepNavSelRange = "{232, 0}";
+			sepNavVisRange = "{0, 244}";
+			sepNavWindowFrame = "{{650, 112}, {856, 915}}";
+		};
+	};
+	E18931050D9DA16B005C7AA4 /* ICeCoffEEPDFView.m */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {797, 856}}";
+			sepNavSelRange = "{145, 29}";
+			sepNavVisRange = "{0, 352}";
+		};
+	};
+	E18931080D9DA1A9005C7AA4 /* ICeCoffEEPDFViewSuper.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {797, 856}}";
+			sepNavSelRange = "{172, 0}";
+			sepNavVisRange = "{0, 226}";
+			sepNavWindowFrame = "{{713, 263}, {856, 915}}";
+		};
+	};
+	E18931090D9DA1A9005C7AA4 /* ICeCoffEEPDFViewSuper.m */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {797, 879}}";
+			sepNavSelRange = "{219, 0}";
+			sepNavVisRange = "{0, 310}";
+			sepNavWindowFrame = "{{645, 97}, {856, 915}}";
 		};
 	};
@@ -6032,8 +1879,77 @@
 		};
 	};
+	E1B657A80DB7F03900EE3D39 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101A6FE0D6D594700AB607D /* ICeCoffEETTView.m */;
+		rLen = 15;
+		rLoc = 1965;
+		rType = 0;
+	};
+	E1B657A90DB7F09800EE3D39 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		rLen = 15;
+		rLoc = 9590;
+		rType = 0;
+	};
+	E1B657B20DB7F1A000EE3D39 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E165AB3503E7A7FC00050002 /* ICeCoffEEAction.h */;
+		rLen = 1;
+		rLoc = 19;
+		rType = 1;
+	};
+	E1B657BA0DB7F5EE00EE3D39 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E165AB3503E7A7FC00050002 /* ICeCoffEEAction.h */;
+		name = "ICeCoffEEAction.h: 22";
+		rLen = 13;
+		rLoc = 481;
+		rType = 0;
+		vrLen = 536;
+		vrLoc = 0;
+	};
+	E1B657BB0DB7F5EE00EE3D39 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101A6FE0D6D594700AB607D /* ICeCoffEETTView.m */;
+		name = "ICeCoffEETTView.m: 51";
+		rLen = 0;
+		rLoc = 1777;
+		rType = 0;
+		vrLen = 2661;
+		vrLoc = 329;
+	};
+	E1B657BC0DB7F5EE00EE3D39 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = "ICeCoffEE.m: 125";
+		rLen = 0;
+		rLoc = 4455;
+		rType = 0;
+		vrLen = 2298;
+		vrLoc = 4027;
+	};
+	E1B657BD0DB7F5EE00EE3D39 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
+		name = "ICeCoffEEWebKit.m: 119";
+		rLen = 0;
+		rLoc = 3655;
+		rType = 0;
+		vrLen = 2882;
+		vrLoc = 897;
+	};
+	E1BB268F03DB74B700050002 /* ICeCoffEEMenuOnly.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {691, 466}}";
+			sepNavSelRange = "{162, 31}";
+			sepNavVisRange = "{0, 256}";
+			sepNavWindowFrame = "{{213, 261}, {750, 502}}";
+		};
+	};
 	E1BB269003DB74B700050002 /* ICeCoffEEMenuOnly.m */ = {
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {691, 443}}";
-			sepNavSelRange = "{0, 0}";
+			sepNavSelRange = "{192, 0}";
 			sepNavVisRange = "{0, 371}";
 			sepNavVisRect = "{{0, 0}, {585, 566}}";
@@ -6041,11 +1957,18 @@
 		};
 	};
+	E1BB269303DB74C200050002 /* ICeCoffEEMenuSuper.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {797, 856}}";
+			sepNavSelRange = "{163, 22}";
+			sepNavVisRange = "{0, 241}";
+		};
+	};
 	E1BB269403DB74C200050002 /* ICeCoffEEMenuSuper.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {691, 466}}";
-			sepNavSelRange = "{161, 0}";
+			sepNavIntBoundsRect = "{{0, 0}, {797, 879}}";
+			sepNavSelRange = "{163, 31}";
 			sepNavVisRange = "{0, 317}";
 			sepNavVisRect = "{{0, 0}, {629, 555}}";
-			sepNavWindowFrame = "{{38, 304}, {750, 502}}";
+			sepNavWindowFrame = "{{252, 84}, {856, 915}}";
 		};
 	};
@@ -6082,18 +2005,18 @@
 	E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {808, 1892}}";
-			sepNavSelRange = "{2540, 0}";
-			sepNavVisRange = "{1952, 2666}";
+			sepNavIntBoundsRect = "{{0, 0}, {852, 2582}}";
+			sepNavSelRange = "{3655, 0}";
+			sepNavVisRange = "{897, 2882}";
 			sepNavVisRect = "{{0, 0}, {828, 868}}";
-			sepNavWindowFrame = "{{143, 147}, {867, 906}}";
+			sepNavWindowFrame = "{{86, 16}, {911, 1011}}";
 		};
 	};
 	E1BF166B03DBE27000050002 /* ICeCoffEEWebKitSuper.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {691, 466}}";
+			sepNavIntBoundsRect = "{{0, 0}, {691, 443}}";
 			sepNavSelRange = "{200, 20}";
 			sepNavVisRange = "{0, 241}";
 			sepNavVisRect = "{{0, 0}, {711, 464}}";
-			sepNavWindowFrame = "{{199, 71}, {750, 502}}";
+			sepNavWindowFrame = "{{484, 71}, {750, 502}}";
 		};
 	};
@@ -6109,6 +2032,6 @@
 	E1BF166D03DBE27000050002 /* ICeCoffEEWebKit.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {870, 1011}}";
-			sepNavSelRange = "{0, 0}";
+			sepNavIntBoundsRect = "{{0, 0}, {870, 988}}";
+			sepNavSelRange = "{256, 0}";
 			sepNavVisRange = "{0, 256}";
 			sepNavVisRect = "{{0, 0}, {711, 464}}";
@@ -6150,5 +2073,5 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {713, 780}}";
-			sepNavSelRange = "{32, 0}";
+			sepNavSelRange = "{31, 0}";
 			sepNavVisRange = "{0, 32}";
 			sepNavVisRect = "{{0, 0}, {733, 778}}";
@@ -6158,9 +2081,9 @@
 	E1CBC99803E7602700050002 /* English */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {728, 1248}}";
-			sepNavSelRange = "{653, 0}";
-			sepNavVisRange = "{0, 1698}";
+			sepNavIntBoundsRect = "{{0, 0}, {728, 1124}}";
+			sepNavSelRange = "{452, 0}";
+			sepNavVisRange = "{0, 1672}";
 			sepNavVisRect = "{{0, 0}, {748, 605}}";
-			sepNavWindowFrame = "{{475, 103}, {787, 643}}";
+			sepNavWindowFrame = "{{899, -8}, {787, 643}}";
 		};
 	};
@@ -6193,7 +2116,7 @@
 	F56276BA03796C8B01AA4DA5 /* CFPreferencesWrapper.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {808, 2420}}";
+			sepNavIntBoundsRect = "{{0, 0}, {808, 2409}}";
 			sepNavSelRange = "{778, 0}";
-			sepNavVisRange = "{0, 1638}";
+			sepNavVisRange = "{596, 1711}";
 			sepNavVisRect = "{{0, 1463}, {828, 868}}";
 			sepNavWindowFrame = "{{38, 246}, {867, 906}}";
@@ -6202,8 +2125,8 @@
 	F56276C20379923401AA4DA5 /* English */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {715, 6653}}";
-			sepNavSelRange = "{7953, 0}";
-			sepNavVisRect = "{{0, 2424}, {715, 686}}";
-			sepNavWindowFrame = "{{1073, 432}, {754, 746}}";
+			sepNavIntBoundsRect = "{{0, 0}, {715, 6419}}";
+			sepNavSelRange = "{6964, 0}";
+			sepNavVisRect = "{{0, 2192}, {715, 709}}";
+			sepNavWindowFrame = "{{762, 278}, {754, 746}}";
 		};
 	};
@@ -6218,22 +2141,25 @@
 	F9A6986E03BE1DF000AA4DA5 /* APEMain.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {796, 3481}}";
-			sepNavSelRange = "{7190, 0}";
-			sepNavVisRange = "{4651, 3571}";
+			sepNavIntBoundsRect = "{{0, 0}, {797, 3599}}";
+			sepNavSelRange = "{5014, 0}";
+			sepNavVisRange = "{2845, 3434}";
 			sepNavVisRect = "{{0, 566}, {813, 376}}";
-			sepNavWindowFrame = "{{89, 46}, {855, 719}}";
+			sepNavWindowFrame = "{{697, 161}, {856, 915}}";
 		};
 	};
 	F9A6987003BE1DFF00AA4DA5 /* ICeCoffEEController.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {564, 566}}";
-			sepNavSelRange = "{826, 78}";
+			sepNavIntBoundsRect = "{{0, 0}, {808, 870}}";
+			sepNavSelRange = "{1254, 32}";
+			sepNavVisRange = "{0, 1414}";
 			sepNavVisRect = "{{0, 0}, {564, 566}}";
+			sepNavWindowFrame = "{{15, 267}, {867, 906}}";
 		};
 	};
 	F9A6987103BE1DFF00AA4DA5 /* ICeCoffEEController.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {828, 1870}}";
-			sepNavSelRange = "{991, 75}";
+			sepNavIntBoundsRect = "{{0, 0}, {808, 1892}}";
+			sepNavSelRange = "{2996, 0}";
+			sepNavVisRange = "{1517, 2751}";
 			sepNavVisRect = "{{0, 0}, {828, 868}}";
 			sepNavWindowFrame = "{{15, 267}, {867, 906}}";
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEPDFView.h
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEPDFView.h	(revision 469)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEPDFView.h	(revision 469)
@@ -0,0 +1,16 @@
+//
+//  ICeCoffEEPDFView.h
+//  ICeCoffEE
+//
+//  Created by Nicholas Riley on 3/28/08.
+//  Copyright 2008 Nicholas Riley. All rights reserved.
+//
+
+#import "ICeCoffEEPDFViewSuper.h"
+
+
+@interface ICeCoffEEPDFView : ICeCoffEEPDFViewSuper {
+
+}
+
+@end
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEPDFView.m
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEPDFView.m	(revision 469)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEPDFView.m	(revision 469)
@@ -0,0 +1,20 @@
+//
+//  ICeCoffEEPDFView.m
+//  ICeCoffEE
+//
+//  Created by Nicholas Riley on 3/28/08.
+//  Copyright 2008 Nicholas Riley. All rights reserved.
+//
+
+#import "ICeCoffEEPDFView.h"
+
+
+@implementation ICeCoffEEPDFView
+
+- (NSMenu *)menuForEvent:(NSEvent *)e;
+{
+    NSMenu *myMenu = [super menuForEvent: e];
+    return ICCF_MenuForEvent(self, myMenu, e);
+}
+
+@end
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEPDFViewSuper.h
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEPDFViewSuper.h	(revision 469)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEPDFViewSuper.h	(revision 469)
@@ -0,0 +1,15 @@
+//
+//  ICeCoffEEPDFViewSuper.h
+//  ICeCoffEE
+//
+//  Created by Nicholas Riley on 3/28/08.
+//  Copyright 2008 Nicholas Riley. All rights reserved.
+//
+
+#import "ICeCoffEE.h"
+
+@interface ICeCoffEEPDFViewSuper : NSView {
+
+}
+
+@end
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEPDFViewSuper.m
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEPDFViewSuper.m	(revision 469)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEPDFViewSuper.m	(revision 469)
@@ -0,0 +1,19 @@
+//
+//  ICeCoffEEPDFViewSuper.m
+//  ICeCoffEE
+//
+//  Created by Nicholas Riley on 3/28/08.
+//  Copyright 2008 Nicholas Riley. All rights reserved.
+//
+
+#import "ICeCoffEEPDFViewSuper.h"
+
+
+@implementation ICeCoffEEPDFViewSuper
+
+- (NSMenu *)menuForEvent:(NSEvent *)e;
+{
+    return [super menuForEvent: e];
+}
+
+@end
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebPDFView.h
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebPDFView.h	(revision 469)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebPDFView.h	(revision 469)
@@ -0,0 +1,16 @@
+//
+//  ICeCoffEEWebPDFView.h
+//  ICeCoffEE
+//
+//  Created by Nicholas Riley on 4/18/08.
+//  Copyright 2008 Nicholas Riley. All rights reserved.
+//
+
+#import "ICeCoffEEWebPDFViewSuper.h"
+
+
+@interface ICeCoffEEWebPDFView : ICeCoffEEWebPDFViewSuper {
+
+}
+
+@end
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebPDFView.m
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebPDFView.m	(revision 469)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebPDFView.m	(revision 469)
@@ -0,0 +1,20 @@
+//
+//  ICeCoffEEWebPDFView.m
+//  ICeCoffEE
+//
+//  Created by Nicholas Riley on 4/18/08.
+//  Copyright 2008 Nicholas Riley. All rights reserved.
+//
+
+#import "ICeCoffEEWebPDFView.h"
+
+
+@implementation ICeCoffEEWebPDFView
+
+- (NSMenu *)menuForEvent:(NSEvent *)e;
+{
+    NSMenu *myMenu = [super menuForEvent: e];
+    return ICCF_MenuForEvent(self, myMenu, e);
+}
+
+@end
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebPDFViewSuper.h
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebPDFViewSuper.h	(revision 469)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebPDFViewSuper.h	(revision 469)
@@ -0,0 +1,15 @@
+//
+//  ICeCoffEEWebPDFViewSuper.h
+//  ICeCoffEE
+//
+//  Created by Nicholas Riley on 4/18/08.
+//  Copyright 2008 Nicholas Riley. All rights reserved.
+//
+
+#import "ICeCoffEE.h"
+
+@interface ICeCoffEEWebPDFViewSuper : NSView {
+
+}
+
+@end
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebPDFViewSuper.m
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebPDFViewSuper.m	(revision 469)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebPDFViewSuper.m	(revision 469)
@@ -0,0 +1,19 @@
+//
+//  ICeCoffEEWebPDFViewSuper.m
+//  ICeCoffEE
+//
+//  Created by Nicholas Riley on 4/18/08.
+//  Copyright 2008 Nicholas Riley. All rights reserved.
+//
+
+#import "ICeCoffEEWebPDFViewSuper.h"
+
+
+@implementation ICeCoffEEWebPDFViewSuper
+
+- (NSMenu *)menuForEvent:(NSEvent *)e;
+{
+    return [super menuForEvent: e];
+}
+
+@end
